%define debug_package %{nil}

Name:		SL_gdm_no_user_list
Version:	1.0
Release:	1%{?dist}
Summary:	Disable the GDM user list
Group:		System Environment/Libraries
License:	GPL
URL:		http://www.scientificlinux.org/

BuildRequires:	bash sed coreutils
BuildArch:	noarch
Requires:	system-release >= 7
Requires(post):	gdm
Requires(post):	dconf

# SLF6 package was named:
Provides:	zz_gdm_no_user_list

%description
This RPM will install a configuration file to disable the GDM user list

%prep

%install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/dconf/db/gdm.d/

echo "Building gdm dconf file"

cat > $RPM_BUILD_ROOT/%{_sysconfdir}/dconf/db/gdm.d/10-SL_gdm_no_user_list <<EOF
[org/gnome/login-screen]
disable-user-list=true
EOF

chmod 644 $RPM_BUILD_ROOT/%{_sysconfdir}/dconf/db/gdm.d/10-SL_gdm_no_user_list

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /bin/bash
(
 rm -f /%{_sysconfdir}/dconf/db/gdm 
 dconf update
) >/dev/null 2>&1

%files
%defattr(-,root,root,-)
%{_sysconfdir}/dconf/db/gdm.d/10-SL_gdm_no_user_list

%changelog
* Tue Jul 29 2014 Pat Riehecky <riehecky@fnal.gov> 1.0-1.sl7
- Initial build
